Skip to content
View as Markdown

GET Get Subscriber Automations​

GET
/funnels/subscriber/{subscriber_id}/automations

Retrieve a paginated list of all automation funnels a specific subscriber/contact is enrolled in, including the associated funnel details and sequence progress.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

subscriber_id*

The subscriber/contact ID.

Type
integer
Required

Query Parameters

per_page

Number of automations per page.

Type
integer
Default
15
page

Page number for pagination.

Type
integer
Default
1

Responses​

Paginated list of subscriber automations.

application/json
JSON
{
"automations": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"data": [
{
"id": 0,
"funnel_id": 0,
"subscriber_id": 0,
"status": "string",
"last_sequence_id": 0,
"next_sequence_id": 0,
"next_execution_time": "string",
"created_at": "string",
"updated_at": "string",
"funnel": {
"id": 0,
"title": "string",
"trigger_name": "string",
"status": "string",
"conditions": [
{
}
],
"settings": {
},
"created_by": 0,
"created_at": "string",
"updated_at": "string",
"subscribers_count": 0,
"description": "string",
"labels": [
]
},
"last_sequence": {
},
"next_sequence_item": {
}
}
]
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI